# PE Parser
PE Parser is a Python (3.6+) library and a set of command-line tools for preprocessing Portable Executable (PE) files. The 
goal of the library is to provide an intermediate representation of the PE files that allow for easy manipulation and 
feature engineering. The main features include:

- Preprocessing of Portable Executable files in hexadecimal format or its assembly language source code.
- Extraction of well-known features for malware detection and classification.
- Tools to visualize malware as grayscale images or its structural entropy representation.

For more information, check the documentation hosted on [Read the docs](https://readthedocs.org/dashboard/).

## Install

The easiest way to install PE Parser is to clone the repository as follows:

    git clone https://github.com/danielgibert/pe_parser.git
    cd pe_parser
    pip install -e .

## License

PE Parser is free software made available under the MIT License. For details see the 
[LICENSE](./LICENSE) file.


## Contact

If you have any trouble please contact daniel.gibertlla@gmail.com
